zenilib: zenilib/jni/external/freetype2/include/freetype/internal/ftserv.h File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Classes | Macros | Typedefs | Functions
ftserv.h File Reference

Go to the source code of this file.

## Classes

struct | FT_ServiceCacheRec_
struct | FT_ServiceDescRec_

## Macros

#define | FT_DEFINE_SERVICE(name)
#define | FT_DEFINE_SERVICEDESCREC1(class_,serv_id_1, serv_data_1)
#define | FT_DEFINE_SERVICEDESCREC2(class_,serv_id_1, serv_data_1,serv_id_2, serv_data_2)
#define | FT_DEFINE_SERVICEDESCREC3(class_,serv_id_1, serv_data_1,serv_id_2, serv_data_2,serv_id_3, serv_data_3)
#define | FT_DEFINE_SERVICEDESCREC4(class_,serv_id_1, serv_data_1,serv_id_2, serv_data_2,serv_id_3, serv_data_3,serv_id_4, serv_data_4)
#define | FT_DEFINE_SERVICEDESCREC5(class_,serv_id_1, serv_data_1,serv_id_2, serv_data_2,serv_id_3, serv_data_3,serv_id_4, serv_data_4,serv_id_5, serv_data_5)
#define | FT_DEFINE_SERVICEDESCREC6(class_,serv_id_1, serv_data_1,serv_id_2, serv_data_2,serv_id_3, serv_data_3,serv_id_4, serv_data_4,serv_id_5, serv_data_5,serv_id_6, serv_data_6)
#define | FT_FACE_FIND_GLOBAL_SERVICE(face, ptr, id)
#define | FT_FACE_FIND_SERVICE(face, ptr, id)
#define | FT_FACE_LOOKUP_SERVICE(face, ptr, id)
#define | FT_SERVICE_BDF_H <freetype/internal/services/svbdf.h>
#define | FT_SERVICE_CID_H <freetype/internal/services/svcid.h>
#define | FT_SERVICE_GLYPH_DICT_H <freetype/internal/services/svgldict.h>
#define | FT_SERVICE_GX_VALIDATE_H <freetype/internal/services/svgxval.h>
#define | FT_SERVICE_KERNING_H <freetype/internal/services/svkern.h>
#define | FT_SERVICE_MULTIPLE_MASTERS_H <freetype/internal/services/svmm.h>
#define | FT_SERVICE_OPENTYPE_VALIDATE_H <freetype/internal/services/svotval.h>
#define | FT_SERVICE_PFR_H <freetype/internal/services/svpfr.h>
#define | FT_SERVICE_POSTSCRIPT_CMAPS_H <freetype/internal/services/svpscmap.h>
#define | FT_SERVICE_POSTSCRIPT_INFO_H <freetype/internal/services/svpsinfo.h>
#define | FT_SERVICE_POSTSCRIPT_NAME_H <freetype/internal/services/svpostnm.h>
#define | FT_SERVICE_SFNT_H <freetype/internal/services/svsfnt.h>
#define | FT_SERVICE_TRUETYPE_ENGINE_H <freetype/internal/services/svtteng.h>
#define | FT_SERVICE_TRUETYPE_GLYF_H <freetype/internal/services/svttglyf.h>
#define | FT_SERVICE_TT_CMAP_H <freetype/internal/services/svttcmap.h>
#define | FT_SERVICE_UNAVAILABLE ((FT_Pointer)-2) /* magic number */
#define | FT_SERVICE_WINFNT_H <freetype/internal/services/svwinfnt.h>
#define | FT_SERVICE_XFREE86_NAME_H <freetype/internal/services/svxf86nm.h>

## Typedefs

typedef struct FT_ServiceCacheRec_ * | FT_ServiceCache
typedef struct FT_ServiceCacheRec_ | FT_ServiceCacheRec
typedef const FT_ServiceDescRec * | FT_ServiceDesc
typedef struct FT_ServiceDescRec_ | FT_ServiceDescRec

## Functions

| ft_service_list_lookup (FT_ServiceDesc service_descriptors, const char *service_id)

## Macro Definition Documentation

#define FT_DEFINE_SERVICE | ( |  | name | ) |

Value:
typedef struct FT_Service_ ## name ## Rec_ \
FT_Service_ ## name ## Rec ; \
typedef struct FT_Service_ ## name ## Rec_ \
const * FT_Service_ ## name ; \
struct FT_Service_ ## name ## Rec_
name
EGLImageKHR EGLint * name
Definition: eglext.h:284
const
#define const
Definition: zconf.h:91

Definition at line 650 of file ftserv.h.

#define FT_DEFINE_SERVICEDESCREC1 | ( |  | class_,
|  |  | serv_id_1,
|  |  | serv_data_1
| ) |  |

Value:
static const FT_ServiceDescRec class_[] = \
{ \
{ serv_id_1, serv_data_1 }, \
{ NULL, NULL } \
};
NULL
#define NULL
Definition: ftobjs.h:61
FT_ServiceDescRec_
Definition: ftserv.h:157

Definition at line 189 of file ftserv.h.

#define FT_DEFINE_SERVICEDESCREC2 | ( |  | class_,
|  |  | serv_id_1,
|  |  | serv_data_1,
|  |  | serv_id_2,
|  |  | serv_data_2
| ) |  |

Value:
static const FT_ServiceDescRec class_[] = \
{ \
{ serv_id_1, serv_data_1 }, \
{ serv_id_2, serv_data_2 }, \
{ NULL, NULL } \
};
NULL
#define NULL
Definition: ftobjs.h:61
FT_ServiceDescRec_
Definition: ftserv.h:157

Definition at line 197 of file ftserv.h.

#define FT_DEFINE_SERVICEDESCREC3 | ( |  | class_,
|  |  | serv_id_1,
|  |  | serv_data_1,
|  |  | serv_id_2,
|  |  | serv_data_2,
|  |  | serv_id_3,
|  |  | serv_data_3
| ) |  |

Value:
static const FT_ServiceDescRec class_[] = \
{ \
{ serv_id_1, serv_data_1 }, \
{ serv_id_2, serv_data_2 }, \
{ serv_id_3, serv_data_3 }, \
{ NULL, NULL } \
};
NULL
#define NULL
Definition: ftobjs.h:61
FT_ServiceDescRec_
Definition: ftserv.h:157

Definition at line 207 of file ftserv.h.

#define FT_DEFINE_SERVICEDESCREC4 | ( |  | class_,
|  |  | serv_id_1,
|  |  | serv_data_1,
|  |  | serv_id_2,
|  |  | serv_data_2,
|  |  | serv_id_3,
|  |  | serv_data_3,
|  |  | serv_id_4,
|  |  | serv_data_4
| ) |  |

Value:
static const FT_ServiceDescRec class_[] = \
{ \
{ serv_id_1, serv_data_1 }, \
{ serv_id_2, serv_data_2 }, \
{ serv_id_3, serv_data_3 }, \
{ serv_id_4, serv_data_4 }, \
{ NULL, NULL } \
};
NULL
#define NULL
Definition: ftobjs.h:61
FT_ServiceDescRec_
Definition: ftserv.h:157

Definition at line 219 of file ftserv.h.

#define FT_DEFINE_SERVICEDESCREC5 | ( |  | class_,
|  |  | serv_id_1,
|  |  | serv_data_1,
|  |  | serv_id_2,
|  |  | serv_data_2,
|  |  | serv_id_3,
|  |  | serv_data_3,
|  |  | serv_id_4,
|  |  | serv_data_4,
|  |  | serv_id_5,
|  |  | serv_data_5
| ) |  |

Value:
static const FT_ServiceDescRec class_[] = \
{ \
{ serv_id_1, serv_data_1 }, \
{ serv_id_2, serv_data_2 }, \
{ serv_id_3, serv_data_3 }, \
{ serv_id_4, serv_data_4 }, \
{ serv_id_5, serv_data_5 }, \
{ NULL, NULL } \
};
NULL
#define NULL
Definition: ftobjs.h:61
FT_ServiceDescRec_
Definition: ftserv.h:157

Definition at line 233 of file ftserv.h.

#define FT_DEFINE_SERVICEDESCREC6 | ( |  | class_,
|  |  | serv_id_1,
|  |  | serv_data_1,
|  |  | serv_id_2,
|  |  | serv_data_2,
|  |  | serv_id_3,
|  |  | serv_data_3,
|  |  | serv_id_4,
|  |  | serv_data_4,
|  |  | serv_id_5,
|  |  | serv_data_5,
|  |  | serv_id_6,
|  |  | serv_data_6
| ) |  |

Value:
static const FT_ServiceDescRec class_[] = \
{ \
{ serv_id_1, serv_data_1 }, \
{ serv_id_2, serv_data_2 }, \
{ serv_id_3, serv_data_3 }, \
{ serv_id_4, serv_data_4 }, \
{ serv_id_5, serv_data_5 }, \
{ serv_id_6, serv_data_6 }, \
{ NULL, NULL } \
};
NULL
#define NULL
Definition: ftobjs.h:61
FT_ServiceDescRec_
Definition: ftserv.h:157

Definition at line 249 of file ftserv.h.

#define FT_FACE_FIND_GLOBAL_SERVICE | ( |  | face,
|  |  | ptr,
|  |  | id
| ) |  |

Value:
FT_BEGIN_STMNT \
FT_Module module = FT_MODULE( FT_FACE( face )->driver ); \
FT_Pointer _tmp_; \
\
\
_tmp_ = ft_module_get_service( module, FT_SERVICE_ID_ ## id ); \
ptr = _tmp_; \
FT_END_STMNT
FT_MODULE
#define FT_MODULE(x)
Definition: ftobjs.h:449
FT_Module
struct FT_ModuleRec_ * FT_Module
Definition: freetype.h:348
ft_module_get_service
ft_module_get_service(FT_Module module, const char *service_id)
Definition: ftobjs.c:4299
FT_Pointer
void * FT_Pointer
Definition: fttypes.h:307
face
GLenum face
Definition: gl2ext.h:1490
FT_END_STMNT
#define FT_END_STMNT
Definition: ftconfig.h:301
FT_FACE
#define FT_FACE(x)
Definition: ftobjs.h:523

Definition at line 132 of file ftserv.h.

Referenced by cff_face_init(), cff_get_name_index(), FT_ClassicKern_Validate(), FT_OpenType_Validate(), FT_TrueTypeGX_Validate(), sfnt_init_face(), t1_decoder_init(), T1_Face_Init(), and T42_Face_Init().

#define FT_FACE_FIND_SERVICE | ( |  | face,
|  |  | ptr,
|  |  | id
| ) |  |

Value:
FT_BEGIN_STMNT \
FT_Module module = FT_MODULE( FT_FACE( face )->driver ); \
FT_Pointer _tmp_ = NULL; \
\
if ( module->clazz->get_interface ) \
_tmp_ = module->clazz->get_interface( module, FT_SERVICE_ID_ ## id ); \
ptr = _tmp_; \
FT_END_STMNT
NULL
#define NULL
Definition: ftobjs.h:61
FT_MODULE
#define FT_MODULE(x)
Definition: ftobjs.h:449
FT_Module
struct FT_ModuleRec_ * FT_Module
Definition: freetype.h:348
if
if(!yyg->yy_init)
Definition: glslang_lex.cpp:1037
FT_Pointer
void * FT_Pointer
Definition: fttypes.h:307
face
GLenum face
Definition: gl2ext.h:1490
FT_END_STMNT
#define FT_END_STMNT
Definition: ftconfig.h:301
FT_FACE
#define FT_FACE(x)
Definition: ftobjs.h:523

Definition at line 83 of file ftserv.h.

Referenced by _tt_check_patents_in_table(), _tt_face_check_patents(), FT_Get_BDF_Charset_ID(), FT_Get_BDF_Property(), FT_Get_CID_From_Glyph_Index(), FT_Get_CID_Is_Internally_CID_Keyed(), FT_Get_CID_Registry_Ordering_Supplement(), FT_Get_CMap_Format(), FT_Get_CMap_Language_ID(), FT_Get_FSType_Flags(), FT_Get_PS_Font_Info(), FT_Get_PS_Font_Private(), FT_Get_PS_Font_Value(), FT_Get_Sfnt_Table(), FT_Get_Track_Kerning(), FT_Get_X11_Font_Format(), FT_Has_PS_Glyph_Names(), FT_Load_Sfnt_Table(), and FT_Sfnt_Table_Info().

#define FT_FACE_LOOKUP_SERVICE | ( |  | face,
|  |  | ptr,
|  |  | id
| ) |  |

Value:
FT_BEGIN_STMNT \
FT_Pointer svc; \
\
\
svc = FT_FACE( face )->internal->services. service_ ## id; \
if ( svc == FT_SERVICE_UNAVAILABLE ) \
svc = NULL; \
else if ( svc == NULL ) \
{ \
FT_FACE_FIND_SERVICE( face, svc, id ); \
\
FT_FACE( face )->internal->services. service_ ## id = \
(FT_Pointer)( svc != NULL ? svc \
: FT_SERVICE_UNAVAILABLE ); \
} \
ptr = svc; \
FT_END_STMNT
NULL
#define NULL
Definition: ftobjs.h:61
else
else
Definition: glslang_tab.cpp:2176
if
if(!yyg->yy_init)
Definition: glslang_lex.cpp:1037
id
GLuint id
Definition: gl2ext.h:1142
FT_Pointer
void * FT_Pointer
Definition: fttypes.h:307
face
GLenum face
Definition: gl2ext.h:1490
FT_END_STMNT
#define FT_END_STMNT
Definition: ftconfig.h:301
FT_FACE
#define FT_FACE(x)
Definition: ftobjs.h:523
FT_FACE_FIND_SERVICE
#define FT_FACE_FIND_SERVICE(face, ptr, id)
Definition: ftserv.h:83
FT_SERVICE_UNAVAILABLE
#define FT_SERVICE_UNAVAILABLE
Definition: ftserv.h:576

Definition at line 625 of file ftserv.h.

Referenced by ft_face_get_mm_service(), FT_Get_Glyph_Name(), FT_Get_Name_Index(), FT_Get_Postscript_Name(), FT_Get_WinFNT_Header(), and ft_pfr_check().

#define FT_SERVICE_BDF_H <freetype/internal/services/svbdf.h>

Definition at line 663 of file ftserv.h.

#define FT_SERVICE_CID_H <freetype/internal/services/svcid.h>

Definition at line 664 of file ftserv.h.

#define FT_SERVICE_GLYPH_DICT_H <freetype/internal/services/svgldict.h>

Definition at line 665 of file ftserv.h.

#define FT_SERVICE_GX_VALIDATE_H <freetype/internal/services/svgxval.h>

Definition at line 666 of file ftserv.h.

#define FT_SERVICE_KERNING_H <freetype/internal/services/svkern.h>

Definition at line 667 of file ftserv.h.

#define FT_SERVICE_MULTIPLE_MASTERS_H <freetype/internal/services/svmm.h>

Definition at line 668 of file ftserv.h.

#define FT_SERVICE_OPENTYPE_VALIDATE_H <freetype/internal/services/svotval.h>

Definition at line 669 of file ftserv.h.

#define FT_SERVICE_PFR_H <freetype/internal/services/svpfr.h>

Definition at line 670 of file ftserv.h.

#define FT_SERVICE_POSTSCRIPT_CMAPS_H <freetype/internal/services/svpscmap.h>

Definition at line 671 of file ftserv.h.

#define FT_SERVICE_POSTSCRIPT_INFO_H <freetype/internal/services/svpsinfo.h>

Definition at line 672 of file ftserv.h.

#define FT_SERVICE_POSTSCRIPT_NAME_H <freetype/internal/services/svpostnm.h>

Definition at line 673 of file ftserv.h.

#define FT_SERVICE_SFNT_H <freetype/internal/services/svsfnt.h>

Definition at line 674 of file ftserv.h.

#define FT_SERVICE_TRUETYPE_ENGINE_H <freetype/internal/services/svtteng.h>

Definition at line 675 of file ftserv.h.

#define FT_SERVICE_TRUETYPE_GLYF_H <freetype/internal/services/svttglyf.h>

Definition at line 679 of file ftserv.h.

#define FT_SERVICE_TT_CMAP_H <freetype/internal/services/svttcmap.h>

Definition at line 676 of file ftserv.h.

#define FT_SERVICE_UNAVAILABLE ((FT_Pointer)-2) /* magic number */

Definition at line 576 of file ftserv.h.

#define FT_SERVICE_WINFNT_H <freetype/internal/services/svwinfnt.h>

Definition at line 677 of file ftserv.h.

#define FT_SERVICE_XFREE86_NAME_H <freetype/internal/services/svxf86nm.h>

Definition at line 678 of file ftserv.h.

## Typedef Documentation

typedef struct FT_ServiceCacheRec_ * FT_ServiceCache

typedef struct FT_ServiceCacheRec_ FT_ServiceCacheRec

typedef const FT_ServiceDescRec* FT_ServiceDesc

Definition at line 164 of file ftserv.h.

typedef struct FT_ServiceDescRec_ FT_ServiceDescRec

## Function Documentation

ft_service_list_lookup | ( | FT_ServiceDesc | service_descriptors,
|  | const char * | service_id
| ) |  |

Definition at line 47 of file ftobjs.c.

References ft_strcmp, NULL, FT_ServiceDescRec_::serv_data, and FT_ServiceDescRec_::serv_id.

Referenced by bdf_driver_requester(), cff_get_interface(), cid_get_interface(), Get_Interface(), gxvalid_get_service(), otvalid_get_service(), pcf_driver_requester(), pfr_get_service(), T42_Get_Interface(), tt_get_interface(), and winfnt_get_service().